Agents

Send a follow-up message to an existing agent conversation

Appends a follow-up prompt to an existing REST-created agent run and can update the run's edit permission or branch scope.

POST /api/public/v1/agents/{agentId}/messages

Send a follow-up message to an existing agent conversation

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/agents/{AGENTID}/messages' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "agentId": "<string>",
  "kind": "<string>",
  "status": "queued"
}

Follow-up accepted

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • agentId string required

    Identifier of the agent conversation to continue.

Request Body

application/json
  • prompt string required

    User prompt to send to the model.

  • permission string enum enum

    Whether the run can only inspect the app or is also allowed to make edits. Allowed values: read_only, allow_edits.

  • permittedBranches[] string array

    Branches the run is allowed to access when branch restrictions apply.

  • completionWebhookUrl string (uri)

    Webhook URL Buildprint will call when the run completes.

Response

application/json
  • agentId string

    Opaque identifier for the linked agent conversation.

  • kind string

    Discriminator describing the kind of object returned.

  • status string enum enum

    Current high-level lifecycle state for the asynchronous run. Allowed values: queued, running, completed, error.